<Flags()> _
Public Enum EstadoOperacion
    NoExiste = 1
    Rechazada = 2
    Autorizada = 4
End Enum

<Flags()> _
Public Enum Moneda
    Colones = 1
    Dolares = 2
End Enum


'<remarks/>
<System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://sinpe.cr/webservices/DTR/Tipos"), Serializable()> _
Public Class Debito
    Private mCodEntidadOrigen As Short
    Private mCodMotivo As Short
    Private mCodMoneda As Moneda
    Private mServicio As String
    Private mCodReferencia As String
    Private mIDNegocio As String
    Private mNomNegocio As String
    Private mCentroCosto As Short
    Private mNumDocumento As String
    Private mTitularServicio As String
    Private mIDDestino As String
    Private mCuentaCliente As String
    Private mMonto As Decimal
    Private mDescripcion As String

    Public Property CodEntidadOrigen() As Short
        Get
            Return mCodEntidadOrigen
        End Get
        Set(ByVal Value As Short)
            mCodEntidadOrigen = Value
        End Set
    End Property

    Public Property CodMotivo() As Short
        Get
            Return mCodMotivo
        End Get
        Set(ByVal Value As Short)
            mCodMotivo = Value
        End Set
    End Property

    Public Property CodMoneda() As Moneda
        Get
            Return mCodMoneda
        End Get
        Set(ByVal Value As Moneda)
            mCodMoneda = Value
        End Set
    End Property

    Public Property Servicio() As String
        Get
            Return mServicio
        End Get
        Set(ByVal Value As String)
            mServicio = Value
        End Set
    End Property

    Public Property CodReferencia() As String
        Get
            Return mCodReferencia
        End Get
        Set(ByVal Value As String)
            mCodReferencia = Value
        End Set
    End Property

    Public Property IDNegocio() As String
        Get
            Return mIDNegocio
        End Get
        Set(ByVal Value As String)
            mIDNegocio = Value
        End Set
    End Property

    Public Property NomNegocio() As String
        Get
            Return mNomNegocio
        End Get
        Set(ByVal Value As String)
            mNomNegocio = Value
        End Set
    End Property

    Public Property CentroCosto() As Short
        Get
            Return mCentroCosto
        End Get
        Set(ByVal Value As Short)
            mCentroCosto = Value
        End Set
    End Property

    Public Property NumDocumento() As String
        Get
            Return mNumDocumento
        End Get
        Set(ByVal Value As String)
            mNumDocumento = Value
        End Set
    End Property

    Public Property TitularServicio() As String
        Get
            Return mTitularServicio
        End Get
        Set(ByVal Value As String)
            mTitularServicio = Value
        End Set
    End Property

    Public Property IDDestino() As String
        Get
            Return mIDDestino
        End Get
        Set(ByVal Value As String)
            mIDDestino = Value
        End Set
    End Property

    Public Property CuentaCliente() As String
        Get
            Return mCuentaCliente
        End Get
        Set(ByVal Value As String)
            mCuentaCliente = Value
        End Set
    End Property

    Public Property Monto() As Decimal
        Get
            Return mMonto
        End Get
        Set(ByVal Value As Decimal)
            mMonto = Value
        End Set
    End Property

    Public Property Descripcion() As String
        Get
            Return mDescripcion
        End Get
        Set(ByVal Value As String)
            mDescripcion = Value
        End Set
    End Property
End Class

'<remarks/>
<System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://sinpe.cr/webservices/DTR/Tipos"), Serializable()> _
Public Class DebitoEnviado
    Inherits Debito

    Private mCodEntidadDestino As Short
    Private mCodEstado As EstadoOperacion
    'Private mCodMotivoEstado As Short
    Private mCodMotivoRechazo As Short
    Private mFecEnvio As Date


    Public Property CodEstado() As EstadoOperacion
        Get
            Return mCodEstado
        End Get
        Set(ByVal Value As EstadoOperacion)
            mCodEstado = Value
        End Set
    End Property

    Public Property CodEntidadDestino() As Short
        Get
            Return mCodEntidadDestino
        End Get
        Set(ByVal Value As Short)
            mCodEntidadDestino = Value
        End Set
    End Property

    'Public Property CodMotivoEstado() As Short
    '    Get
    '        Return mCodMotivoEstado
    '    End Get
    '    Set(ByVal Value As Short)
    '        mCodMotivoEstado = Value
    '    End Set
    'End Property

    Public Property CodMotivoRechazo() As Short
        Get
            Return mCodMotivoRechazo
        End Get
        Set(ByVal Value As Short)
            mCodMotivoRechazo = Value
        End Set
    End Property

    Public Property FecEnvio() As Date
        Get
            Return mFecEnvio
        End Get
        Set(ByVal Value As Date)
            mFecEnvio = Value
        End Set
    End Property
End Class



'<remarks/>
<System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://sinpe.cr/webservices/DTR/Tipos"), Serializable()> _
Public Structure Respuesta
    Private mCodEstado As EstadoOperacion
    Private mCodMotivoRechazo As Short

    Public Property CodEstado() As EstadoOperacion
        Get
            Return mCodEstado
        End Get
        Set(ByVal Value As EstadoOperacion)
            mCodEstado = Value
        End Set
    End Property

    Public Property CodMotivoRechazo() As Short
        Get
            Return mCodMotivoRechazo
        End Get
        Set(ByVal Value As Short)
            mCodMotivoRechazo = Value
        End Set
    End Property
End Structure
